## bulge bulge |

## Properties

gdouble | zoom | Read / Write

## Types and Values

struct | GstBulge

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGeometricTransform
                                ╰── GstCircleGeometricTransform
                                    ╰── GstBulge

## Description

## Synopsis

### Element Information

plugin | geometrictransform
author | Filippo Argiolas <filippo.argiolas@gmail.com>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstBulge

    struct GstBulge;

## Property Details

### The `“zoom”` property

      “zoom”                     gdouble

Zoom of the bulge effect.

Flags: Read / Write

Allowed values: [1,100]

Default value: 3